Bug 121 - Left side of buddy list and scroll bar malformed in IE8
Summary: Left side of buddy list and scroll bar malformed in IE8
Status: RESOLVED FIXED
Alias: None
Product: ZeXtras
Classification: Unclassified
Component: ZxChat (show other bugs)
Version: 1.8.14
Hardware: -- Ubuntu10 - 64bit
: Normal normal
Assignee: ZeXtras Bugzilla Admin
QA Contact:
URL:
Depends on:
Blocks:
 
Reported: 2014-04-10 13:00 CEST by DiQ
Modified: 2014-05-14 17:40 CEST (History)
2 users (show)

See Also:
Browser: ---
Zimlet Chat version: 1.15
Zimbra Version: 7.2.6


Attachments
1 (6.61 KB, image/png)
2014-04-10 13:00 CEST, DiQ
Details
2 (3.29 KB, image/png)
2014-04-10 13:01 CEST, DiQ
Details
3 (9.46 KB, image/png)
2014-04-10 13:01 CEST, DiQ
Details
4 (2.62 KB, image/png)
2014-04-10 13:01 CEST, DiQ
Details
Zimlet version 2014/05/14 (2.96 KB, image/png)
2014-05-14 13:43 CEST, DiQ
Details

Note You need to log in before you can comment on or make changes to this bug.
Description DiQ 2014-04-10 13:00:38 CEST
Created attachment 21 [details]
1

Zimbra 7.2.6
ZxChat 1.17
Win7 64
IE8

On initial login the right side of the buddy window is malformed. Where as it Chrome it doesn't reach the right side of the screen until maximised in IE8 it does reach the right, but looks malformed. See 1 attached.

If minimised and then returned to the original position the ability to scroll disappears altogether. It's not even possible to scroll with a mouse wheel. See 2 attached.

If maximised to the right side of the screen the scroll bar disappears completely leaving the user unable to scroll if they don't have a mouse wheel or similar. See 3 attached.

When returned to the original position from maximised the scroll bar reappears but it's look is altered and functionality strange with the ability to move the bar off the bottom of the screen. See 4 attached.
Comment 1 DiQ 2014-04-10 13:01:14 CEST
Created attachment 22 [details]
2
Comment 2 DiQ 2014-04-10 13:01:29 CEST
Created attachment 23 [details]
3
Comment 3 DiQ 2014-04-10 13:01:48 CEST
Created attachment 24 [details]
4
Comment 4 DiQ 2014-04-25 14:43:15 CEST
Just to update I am seeing the very similar / the same behaviour in Zim8.07 with IE8, so it seems that this is a problem specific to IE8
Comment 5 Bud 2014-04-28 12:19:15 CEST
Fixes pushed to main branch, will be packaged in the next release.
Comment 6 Cine 2014-05-13 15:26:54 CEST
This issue has been fixed in version 1.18 of the ZeXtras Chat Zimlet, see http://forums.zextras.com/news-announcements/940-zextras-chat-zimlet-1-18-zimbra-released.html#post4384 for more information.
Comment 7 DiQ 2014-05-14 13:43:31 CEST
Created attachment 28 [details]
Zimlet version 2014/05/14
Comment 8 DiQ 2014-05-14 13:44:38 CEST
I am still seeing this exact issue in Zim7 with 1.18.
Comment 9 Cine 2014-05-14 13:47:38 CEST
Hello DiQ,

please access the ZWC in Dev Mode (add ?dev=1 at the end of the URL - e.g. https://mail.yourdomain.com/?dev=1) and retry, if this way the ZeXtras Chat Zimlet is properly displayed then clearing your browser's cache should get rid of it once and for all, otherwise please let us know.
Comment 10 DiQ 2014-05-14 13:50:43 CEST
Exactly the same issue with https://mail.yourdomain.com/?dev=1